다음을 통해 공유


Private Endpoint Connections - Get

프라이빗 엔드포인트 연결 개체를 가져옵니다.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.AgFoodPlatform/farmBeats/{dataManagerForAgricultureResourceName}/privateEndpointConnections/{privateEndpointConnectionName}?api-version=2023-06-01-preview

URI 매개 변수

Name In(다음 안에) 필수 형식 Description
dataManagerForAgricultureResourceName
path True

string

minLength: 1
maxLength: 63
pattern: ^[A-Za-z0-9]+(-[A-Za-z0-9]+)*$

DataManagerForAgriculture 리소스 이름입니다.

privateEndpointConnectionName
path True

string

프라이빗 엔드포인트 연결 이름입니다.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

리소스 그룹의 이름입니다. 이름은 대/소문자를 구분하지 않습니다.

subscriptionId
path True

string (uuid)

대상 구독의 ID입니다. 값은 UUID여야 합니다.

api-version
query True

string

minLength: 1

이 작업에 사용할 API 버전입니다.

응답

Name 형식 Description
200 OK

PrivateEndpointConnection

성공

404 Not Found

ErrorResponse

찾을 수 없음

Other Status Codes

ErrorResponse

오류

보안

azure_auth

Azure Active Directory OAuth2 흐름.

형식: oauth2
Flow: implicit
권한 부여 URL: https://login.microsoftonline.com/common/oauth2/authorize

범위

Name Description
user_impersonation 사용자 계정 가장

예제

PrivateEndpointConnections_Get

샘플 요청

GET https://management.azure.com/subscriptions/11111111-2222-3333-4444-555555555555/resourceGroups/examples-rg/providers/Microsoft.AgFoodPlatform/farmBeats/examples-farmbeatsResourceName/privateEndpointConnections/privateEndpointConnectionName?api-version=2023-06-01-preview

샘플 응답

{
  "id": "/subscriptions/11111111-2222-3333-4444-555555555555/resourceGroups/examples-rg/providers/Microsoft.AgFoodPlatform/farmBeats/examples-farmbeatsResourceName/privateEndpointConnections/privateEndpointConnectionName",
  "name": "privateEndpointConnectionName",
  "type": "Microsoft.AgFoodPlatform/farmBeats/privateEndpointConnections",
  "properties": {
    "privateEndpoint": {
      "id": "/subscriptions/11111111-2222-3333-4444-555555555555/resourceGroups/rg1Network/providers/Microsoft.Network/privateEndpoints/privateEndpointName"
    },
    "privateLinkServiceConnectionState": {
      "status": "Approved",
      "description": "Approved by johndoe@contoso.com",
      "actionsRequired": "None"
    },
    "provisioningState": "Succeeded"
  }
}
{
  "error": {
    "code": "PrivateEndpointConnectionNotFound",
    "message": "Private endpoint connection resource 'privateEndpointConnectionName' for subscriptionId '11111111-2222-3333-4444-555555555555', resource group name 'examples-rg', resource type 'farmBeats' and resource name 'examples-farmbeatsResourceName' not found."
  }
}

정의

Name Description
createdByType

리소스를 만든 ID의 형식입니다.

ErrorAdditionalInfo

리소스 관리 오류 추가 정보입니다.

ErrorDetail

오류 세부 정보입니다.

ErrorResponse

오류 응답

PrivateEndpoint

프라이빗 엔드포인트 리소스입니다.

PrivateEndpointConnection

프라이빗 엔드포인트 연결 리소스입니다.

PrivateEndpointConnectionProvisioningState

현재 프로비저닝 상태입니다.

PrivateEndpointServiceConnectionStatus

프라이빗 엔드포인트 연결 상태입니다.

PrivateLinkServiceConnectionState

서비스 소비자와 공급자 간의 연결 상태에 대한 정보 컬렉션입니다.

systemData

리소스의 생성 및 마지막 수정과 관련된 메타데이터입니다.

createdByType

리소스를 만든 ID의 형식입니다.

Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

리소스 관리 오류 추가 정보입니다.

Name 형식 Description
info

object

추가 정보입니다.

type

string

추가 정보 유형입니다.

ErrorDetail

오류 세부 정보입니다.

Name 형식 Description
additionalInfo

ErrorAdditionalInfo[]

오류 추가 정보입니다.

code

string

오류 코드입니다.

details

ErrorDetail[]

오류 세부 정보입니다.

message

string

오류 메시지입니다.

target

string

오류 대상입니다.

ErrorResponse

오류 응답

Name 형식 Description
error

ErrorDetail

오류 개체입니다.

PrivateEndpoint

프라이빗 엔드포인트 리소스입니다.

Name 형식 Description
id

string

프라이빗 엔드포인트에 대한 ARM 식별자입니다.

PrivateEndpointConnection

프라이빗 엔드포인트 연결 리소스입니다.

Name 형식 Description
id

string (arm-id)

리소스에 대한 정규화된 리소스 ID입니다. 예: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

name

string

리소스의 이름

properties.groupIds

string[]

프라이빗 엔드포인트 리소스의 그룹 ID입니다.

properties.privateEndpoint

PrivateEndpoint

프라이빗 엔드포인트 리소스입니다.

properties.privateLinkServiceConnectionState

PrivateLinkServiceConnectionState

서비스 소비자와 공급자 간의 연결 상태에 대한 정보 컬렉션입니다.

properties.provisioningState

PrivateEndpointConnectionProvisioningState

프라이빗 엔드포인트 연결 리소스의 프로비전 상태입니다.

systemData

systemData

createdBy 및 modifiedBy 정보가 포함된 Azure Resource Manager 메타데이터입니다.

type

string

리소스의 형식입니다. 예: "Microsoft.Compute/virtualMachines" 또는 "Microsoft.Storage/storageAccounts"

PrivateEndpointConnectionProvisioningState

현재 프로비저닝 상태입니다.

Description
Succeeded
Creating
Deleting
Failed

PrivateEndpointServiceConnectionStatus

프라이빗 엔드포인트 연결 상태입니다.

Description
Pending
Approved
Rejected

PrivateLinkServiceConnectionState

서비스 소비자와 공급자 간의 연결 상태에 대한 정보 컬렉션입니다.

Name 형식 Description
actionsRequired

string

서비스 공급자의 변경 내용에 소비자에 대한 업데이트가 필요한지 여부를 나타내는 메시지입니다.

description

string

연결의 승인/거부 이유입니다.

status

PrivateEndpointServiceConnectionStatus

서비스 소유자가 연결을 승인/거부/제거했는지 여부를 나타냅니다.

systemData

리소스의 생성 및 마지막 수정과 관련된 메타데이터입니다.

Name 형식 Description
createdAt

string (date-time)

리소스 만들기의 타임스탬프(UTC)입니다.

createdBy

string

리소스를 만든 ID입니다.

createdByType

createdByType

리소스를 만든 ID의 형식입니다.

lastModifiedAt

string (date-time)

리소스 마지막 수정의 타임스탬프(UTC)

lastModifiedBy

string

리소스를 마지막으로 수정한 ID입니다.

lastModifiedByType

createdByType

리소스를 마지막으로 수정한 ID의 형식입니다.